summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dejan Strbac2020-02-08 02:47:51 +0100
committer Willy Sudiarto Raharjo2020-02-08 07:39:33 +0100
commitc33cd34483de42acaae28d50a2e6047734cf5ac0 (patch)
treedc7234986e6ed1dbb2952a05787155de7936802a
parent741cf90584ae21d753d55297cec431d94fee831a (diff)
downloadslackbuilds-c33cd34483de42acaae28d50a2e6047734cf5ac0.tar.gz
system/tmpwatch: Added (A utility for removing temporary files).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/tmpwatch/README4
-rw-r--r--system/tmpwatch/slack-desc18
-rw-r--r--system/tmpwatch/tmpwatch.SlackBuild80
-rw-r--r--system/tmpwatch/tmpwatch.info10
4 files changed, 112 insertions, 0 deletions
diff --git a/system/tmpwatch/README b/system/tmpwatch/README
new file mode 100644
index 0000000000..31a9a7f220
--- /dev/null
+++ b/system/tmpwatch/README
@@ -0,0 +1,4 @@
+The tmpwatch utility recursively searches through specified directories and
+removes files which have not been accessed in a specified period of time.
+tmpwatch is normally used to clean up directories which are used for
+temporarily holding files (for example, /tmp).
diff --git a/system/tmpwatch/slack-desc b/system/tmpwatch/slack-desc
new file mode 100644
index 0000000000..9e2c87a728
--- /dev/null
+++ b/system/tmpwatch/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tmpwatch: tmpwatch (A utility for removing temporary files)
+tmpwatch:
+tmpwatch: The tmpwatch utility recursively searches through specified
+tmpwatch: directories and removes files which have not been accessed in a
+tmpwatch: specified period of time. Tmpwatch is normally used to clean up
+tmpwatch: directories which are used for temporarily holding files (for example,
+tmpwatch: /tmp). Tmpwatch ignores symlinks, won't switch filesystems and only
+tmpwatch: removes empty directories and regular files.
+tmpwatch:
+tmpwatch: https://fedorahosted.org/tmpwatch/
diff --git a/system/tmpwatch/tmpwatch.SlackBuild b/system/tmpwatch/tmpwatch.SlackBuild
new file mode 100644
index 0000000000..ade8a5fdd8
--- /dev/null
+++ b/system/tmpwatch/tmpwatch.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for tmpwatch
+
+# Maintainer: Dejan Strbac <me at dejanstrbac dot com>
+
+# This script is released in the public domain.
+# I am not responsible for any consequences that follow from the
+# incorrect use of this script.
+
+PRGNAM=tmpwatch
+VERSION=${VERSION:-2.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvfj $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure
+make
+make install prefix=$PKG mandir=$PKG/usr/man libdir=$PKG/usr/lib$LIBDIRSUFFIX bindir=$PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Create the directory for program documentation.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cp -a ChangeLog* NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
+
diff --git a/system/tmpwatch/tmpwatch.info b/system/tmpwatch/tmpwatch.info
new file mode 100644
index 0000000000..4c0046b586
--- /dev/null
+++ b/system/tmpwatch/tmpwatch.info
@@ -0,0 +1,10 @@
+PRGNAM="tmpwatch"
+VERSION="2.11"
+HOMEPAGE="https://pagure.io/tmpwatch"
+DOWNLOAD="https://releases.pagure.org/tmpwatch/tmpwatch-2.11.tar.bz2"
+MD5SUM="9ea7e169296eb1196b80fe05bba1cbd0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dejan Strbac"
+EMAIL="me@dejanstrbac.com"